Bug 145074 - NFS intr flag prevents core dumps
NFS intr flag prevents core dumps
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Roland McGrath
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-13 21:11 EST by Roland McGrath
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version: FC4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-09 03:09:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
2.6.11rc1 patch fixing this bug (698 bytes, patch)
2005-01-13 21:11 EST, Roland McGrath
no flags Details | Diff

  None (edit)
Description Roland McGrath 2005-01-13 21:11:16 EST
*** This bug has been split off bug 132162 ***

------- Original comment by David Juran on 2004.09.09 10:07 -------

From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.3)
Gecko/20040803

Description of problem:
A process having it's working directory on an NFS filesystem mounted
with the 'intr' flag receiving a SIGSEGV will produce no core dump

Version-Release number of selected component (if applicable):
kernel-smp-2.4.21-20.EL

How reproducible:
Always

Steps to Reproduce:
1. mount -o 'rw,proto=tcp,intr' filadelfia.carmen.se:/raidtest /mnt/test
2. cd /mnt/test
3. cat > foo&
4. killall -11 cat
5. Note that no core dump was produced
6. Now try again, this time without the 'intr' flag and there will be
a nice core file waiting for you 
    

Additional info:
Comment 1 Roland McGrath 2005-01-13 21:11:16 EST
Created attachment 109764 [details]
2.6.11rc1 patch fixing this bug
Comment 2 Roland McGrath 2005-01-13 21:13:38 EST
This problem was first reported in bug #132162 for the RHEL3 backport of the
NPTL code that contains this bug.  

This report tracks my upstream fix, please don't close until the patch is in an
upstream release.  
Comment 3 Roland McGrath 2005-01-18 18:12:25 EST
My patch went in upstream, should be in 2.6.11 when that comes out.
Comment 4 Roland McGrath 2005-08-09 03:09:25 EDT
All good in FC4.

Note You need to log in before you can comment on or make changes to this bug.